section {
  padding: 20px;
  box-sizing: border-box;

  h2 {
    margin-top: 50px;
  }
}

.main-header {
  font-size: 45px;
  padding: 0;
  margin-block: 20px;
}

.element-wrapper {
  display: flex;
  flex: 1;
  flex-wrap: wrap;
  gap: 10px;
  justify-content: space-evenly;
}

.article {
  max-width: 500px;
  min-width: 250px;
  flex-basis: 250px;
  background-color: #EEE;
  border-top-right-radius: 20px;
  border-top-left-radius: 20px;
  overflow: hidden;

  h2 {
    height: 50px;
    width: 100%;
    margin: 0 0 5px;
    background-color: #56070c;
    line-height: 50px;
    text-align: center;
    color: #FFF;
  }

  .content {
    padding: 10px;
    box-sizing: border-box;

    a {
      display: block;
      width: max-content;
      padding: 12px;
      background-color: #3949ab;
      color: #FFF;
      text-decoration: none;
      border-radius: 5px;
      margin-block: 20px 10px;
      margin-inline: auto;
    }
  }
}

details {
  margin-block: 10px;
  display: flex;
  flex-direction: column;

  summary {
    cursor: pointer;
    user-select: none;
    color: #000;
    font-weight: bold;

    span {
      padding: 2px 10px;
      border-radius: 10.5px;
      color: #FFF;
      margin-right: 5px;
      font-weight: normal;
    }
  }

  p {
    margin-top: 10px;
  }
}

.divider {
  width: 75%;
  height: 2px;
  margin-left: 12.5%;
  background-color: #CCC;
}
